EDIT - feature request #8981

Improve NameStatus in Ul
04/27/2020 03:51 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal

Description

To improve the name status entry in Vaadin Ul it is proposed to show the fields only if requested.

rename:
Status -> invalid, illegitimate, or other status

Show entry, if there is already an entry for a used name, allow to open the status fields.

Currently the fields are shown:
Status type // Reference // Reference detail // Rule considered // Code edition

Reference is restricted to a given list of Codes
Code edition was added, ?7? is there a reference behind, is it possible to change these draft entries??

This improvement would be the second step after #8975 has been solved.

picture463-1.png
other option:

Invalid, illegitimate, or other status

Related issues:

Related to EDIT - feature request #8975: Name Status filtered in Ul Closed

Associated revisions

Revision 86550c96 - 01/21/2021 03:14 PM - Andreas Kohlbecker

fix #8981 checkbox to toggle the name status tabel in-/visible

History
https://dev.e-taxonomy.eu/redmine/issues/8975

#1 - 04/28/2020 11:17 AM - Andreas Kohlbecker

- Description updated

#2 - 04/28/2020 11:18 AM - Andreas Kohlbecker
- File deleted (picture463-1.png)

#3 - 04/28/2020 11:24 AM - Andreas Kohlbecker

- Description updated

#4 - 04/28/2020 11:42 AM - Andreas Kohlbecker
- File picture933-1.png added

- Description updated

#5 - 04/28/2020 11:47 AM - Andreas Kohlbecker
- Related to feature request #8975: Name Status filtered in Ul added

#6 - 04/28/2020 11:47 AM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.18

#7 - 09/29/2020 12:26 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Phycobank ready for submitters

#8 - 01/21/2021 03:14 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|86550c96c1fc9e574e8dc8a9c4ae6289a47f2bdS.

#9 - 01/21/2021 03:14 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- Target version changed from Phycobank ready for submitters to Release 5.19

please review

#10 - 01/29/2021 10:53 AM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#11 - 02/04/2021 07:15 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 60

The functionality shown in the second screen is implemented and works.

#12 - 02/05/2021 08:52 AM - Andreas Kohlbecker
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

| see that there are remaining requests like "Reference is restricted to a given list of Codes
Code edition was added, ?? is there a reference behind, is it possible to change these draft entries??"

However | don't quite understand what exactly should be changed. Could you please open a new ticket for this with improved request description so
that we can close this one here?

#13 - 03/01/2021 07:21 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/86550c96c1fc9e574e8dc8a9c4ae6289a47f2bd5

This ticket can be closed.
new ticket: #9492
#14 - 03/02/2021 09:36 AM - Andreas Kohlbecker

- Status changed from Feedback to Closed
- % Done changed from 60 to 100
NameStatus.JPG 17.3 KB 04/27/2020 Wolf-Henning Kusber
